Subject: bug#74630: 31.0.50; emacs-mail-verify

From: Richard Stallman <[email-masked]>
Date: Mon, 10 Feb 2025 04:50:56 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Perhaps document that in the doc string:
  > > 
  > >   On successful verification, displays ""Verifying...done" in echo area.

  > That sounds redundant, as the message seems to speak for itself?

For someone who sees the output, the message speaks for itself.
However, for soeone writing code, this information in the doc string
will be useful.  To actually run it and see what it really does
is nontrivial, unless you're in a certain situation.

  > I thought about it, but the functions it calls don't have their return
  > value documented, so doing that seems to require a serious surgery of
  > the code with which I'm not familiar.

I agree, it isn't worth that much trouble.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)